<?php

class PlumeApi
{
    private $data = [];
    public function __construct(){
        $options = get_option('plume_options');
        $this->data['client_version'] = PLUME_VERSION;
        $this->data['website'] = get_site_url();
        $this->data['apikey'] = $options['api_key'];
    }
    public function call_api($endpoint, $data)
    {
        $data = array_merge( $this->data, $data);
        $url = PLUME_API_ENPOINT . '/v' . PLUME_API_VERSION . '/' . $endpoint . '?' . http_build_query($data);
        $curl = curl_init();
        curl_setopt_array($curl, array(
            CURLOPT_URL => $url,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'GET',
        ));
        $response = curl_exec($curl);

        curl_close($curl);
        return $response;

    }

    public function call_api_post($endpoint, &$data)
    {
        $data = array_merge( $this->data, $data);
        $url = PLUME_API_ENPOINT . '/v' . PLUME_API_VERSION . '/' . $endpoint;
        $timeout = 120;
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_FRESH_CONNECT, true);
        curl_setopt($ch, CURLOPT_TIMEOUT, $timeout);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);

        if (preg_match('`^https://`i', $url)) {
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        }
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        curl_setopt($ch, CURLOPT_HTTPPROXYTUNNEL, true);
        $response = curl_exec($ch);
        curl_close($ch);
        return $response;
    }
}