<?php

class PlumeFolders
{
    private $api;
    private $api_key;
    private $options;

    public function __construct()
    {
        require_once(PLUME_PLUGIN_PATH . 'admin/classes/class-plume-api.php');
        $this->api = new PlumeApi();
        $this->options = get_option('plume_options');
        $this->api_key = $this->options['api_key'];
    }
    public function get_folders()
    {
        $endpoint = 'folders';
        return $this->api->call_api($endpoint, []);
    }
    public function add_folder($name)
    {
        $endpoint = 'add_folder';
        $data = [
            'folder_name' => $name,
        ];
        return $this->api->call_api($endpoint, $data);
    }
    public function remove_folder($folder_id)
    {
        $endpoint = 'remove_folder';
        $data = [
            'folder_id' => $folder_id,
        ];
        return $this->api->call_api($endpoint, $data);
    }
    public function move_articles($folder_id, $article_ids)
    {
        $endpoint = 'move_articles';
        $data = [
            'folder_id' => $folder_id,
            'article_ids' => json_encode($article_ids),
        ];
        return $this->api->call_api_post($endpoint, $data);
    }
    public function remove_article_from_folder($article_id)
    {
        $endpoint = 'remove_article';
        $data = [
            'article_id' => $article_id
        ];
        return $this->api->call_api($endpoint, $data);
    }

}