<?php

class PlumePostsTransition
{
    private static $instance;
    private $api;
    public function __construct()
    {
        add_action('transition_post_status', [$this, 'post_transition'], 10, 3);
        add_action( 'wp_trash_post', [$this, 'trash_post'], 10, 1);
        require_once(PLUME_PLUGIN_PATH . 'admin/classes/class-plume-api.php');
        $this->api = new PlumeApi();
    }
    public static function get_instance() {
        if ( ! isset( self::$instance ) ) {
            self::$instance = new self();
        }

        return self::$instance;
    }
    public function post_transition($new_status, $old_status, $post)
    {
        global $wp_actions;
        $article_purchase_id = get_post_meta($post->ID, 'article_purchase_id', true);
        if(empty($article_purchase_id)) return;
        $data = ["article_purchase_id" =>$article_purchase_id];
        if ('publish' === $new_status && 'publish' !== $old_status && $post->post_type === 'post') {
            $data["client_post_id"] = $post->ID;
            $data["permalink"] = get_permalink($post->ID);
            $endpoint = 'publish_post';
            $response = json_decode($this->api->call_api($endpoint, $data));
            if($response->status === 'fail'){
                do_action('add_plume_admin_notice', $response->message, 'error', true);
                $post_data = array( 'ID' => $post->ID, 'post_status' => $old_status );
                wp_update_post($post_data);
            }

        }
        if ('publish' != $new_status && 'publish' === $old_status && $post->post_type === 'post' && did_action("transition_post_status") <= 1) {
            $endpoint = 'unpublish_post';
            $response = json_decode($this->api->call_api($endpoint, $data));
            if($response->status === 'fail'){
                do_action('add_plume_admin_notice', $response->message,'error', true);
            }
        }

    }
    public function trash_post($post_id){
        $article_purchase_id = get_post_meta($post_id, 'article_purchase_id', true);
        if(empty($article_purchase_id)) return;
        $data = ["article_purchase_id" =>$article_purchase_id];
        $endpoint = 'unpublish_post';
        $response = json_decode($this->api->call_api($endpoint, $data));
        if($response->status === 'fail'){
            do_action('add_plume_admin_notice', $response->message,'error', true);
        }
    }
}