const textbulker_prices = JSON.parse(plumedata.texbulker_prices);
const get_textbulker_lang_options = () => {
    textbulker_lang_options = '<option value="">Sélectionnez la langue</option>'
    let lang = JSON.parse(plumedata.texbulker_langs);
    lang.forEach(element => {
        textbulker_lang_options += '<option value=' + element.language + '>' + element.name + '</option>'
    });
    return textbulker_lang_options;
};

(function ($) {
    $(window).on('load', function () {
        if (window.location.href.indexOf("edit.php") > -1) {
            jQuery(".wrap .page-title-action").after('<a href="admin.php?page=plume" class="page-title-action">Plume</a>');
        }


        $("#persons-table .bulkactions .button").click(function (e) {
            e.preventDefault();
            let selected = $('#bulk-action-selector-top').val();
            if (selected == "buy") {
                var creditslist = [];
                var article_ids = [];
                $("input[name='id[]']:checked").each(function () {
                    article_ids.push(parseInt($(this).val()));
                });
                if (article_ids.length == 0) {
                    Swal.fire({
                        title: 'Erreur',
                        text: 'Veuillez sélectionner au moins un article',
                        timer: 3000,
                    })
                    return false;
                }

                var htmlcon = jQuery('#plumepopupdatabulk').html();
                Swal.fire({
                    title: '<strong>Confirmation</strong>',
                    icon: 'info',
                    html:
                        'Télécharger vos articles',
                    footer: 'Un nouvel article avec le statut "Brouillon" sera créé pour ne pas écraser l\'ancien.',
                    showCloseButton: true,
                    showCancelButton: true,
                    focusConfirm: true,
                    confirmButtonText: 'Confirmer',
                    cancelButtonText: 'Annuler',
                    showLoaderOnConfirm: true,
                    preConfirm: (result) => {
                        if (plumedata.api_key == "") {
                            return {
                                "status": "Echec",
                                "message": "Vous devez enregistrer votre clé api dans les paramètres."
                            };
                        }
                        var data = {
                            'action': 'plumedownloadbulk',
                            'article_ids': article_ids,
                            'user_id': $("#swal2-html-container").find("#plume_author").val(),
                            'category_id': $("#swal2-html-container").find("#plume_category").val()
                        };
                        // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
                        return jQuery.post(ajaxurl, data, function (response) {
                            //alert('Got this from the server: ' + response);
                        });
                    }
                }).then((result) => {
                    if (result.isConfirmed) {
                        if (result.value.status == "success") {
                            Swal.fire({
                                title: 'Good job!',
                                html: result.value.message,
                                timer: 2000
                            }).then(function (result) {
                                location = "edit.php";
                            });

                        } else {
                            Swal.fire({
                                title: 'Failed',
                                html: result.value.message,
                                timer: 5000,
                            })
                        }
                    }

                });

            }
            if (selected.substring(0, 12) == "movetofolder") {
                let folder_id = selected.slice(12);
                var article_ids = [];
                $("input[name='id[]']:checked").each(function () {
                    article_ids.push(parseInt($(this).val()));
                });
                if (article_ids.length == 0) {
                    Swal.fire({
                        title: 'Failed',
                        text: 'Veuillez séléctionner au moins un article',
                        timer: 3000,
                    })
                    return false;
                }

                Swal.fire({
                    title: '<strong>Confirmation</strong>',
                    icon: 'info',
                    html:
                        'Les articles vont être déplacés',
                    showCloseButton: true,
                    showCancelButton: true,
                    focusConfirm: true,
                    confirmButtonText: 'Confirmer',
                    cancelButtonText: 'Annuler',
                    showLoaderOnConfirm: true,
                    preConfirm: (result) => {
                        var data = {
                            'action': 'plumemovearticlesbulk',
                            'article_ids': article_ids,
                            'folder_id': folder_id,
                        };
                        // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
                        return jQuery.post(ajaxurl, data, function (response) {
                            //alert('Got this from the server: ' + response);
                        });
                    }
                }).then((result) => {
                    if (result.isConfirmed) {
                        if (result.value.status == "success") {
                            Swal.fire({
                                title: 'Articles déplacés !',
                                html: result.value.message,
                                timer: 2000
                            }).then(function (result) {
                                window.location.reload();
                            });
                        } else {
                            Swal.fire({
                                title: 'Erreur',
                                text: result.value.message,
                                timer: 3000,
                            })
                        }
                    }

                });
            }
        });
    
        function generate_publish_dates_preview(dateStr, article_titles) {
            var date = new Date(dateStr);
            var dates_preview = '<table class="wp-list-table widefat fixed striped" style="width:100%; border-collapse: collapse;"><thead><tr><th>Titre</th><th style="text-align: right;">Date de publication</th></tr></thead><tbody>';
            
            for (var i = 0; i < article_titles.length; i++) {
                var short_title = article_titles[i].length > 60 ? article_titles[i].substring(0, 60) + '...' : article_titles[i];
                dates_preview += '<tr><td>' + short_title + '</td><td style="text-align: right;">' + date.toLocaleString() + '</td></tr>';
                date.setDate(date.getDate() + 1);
            }
        
            dates_preview += '</tbody></table>';
            return dates_preview;
        }
        
        
        
        
        
        
        
        

        $("#plume-table .bulkactions .button").click(function (e) {
            e.preventDefault();
            if ($('#bulk-action-selector-top').val() == "buy") {
                var creditslist = [];
                var article_ids = [];
                var article_titles = [];
                
                $("input[name='id[]']:checked").each(function () {
                    article_ids.push(parseInt($(this).val()));
                    creditslist.push(parseInt(jQuery(this).attr("data-credits")));
                    article_titles.push($(this).closest("tr").find(".column-title").contents().filter(function() {
                        return this.nodeType === 3; // Seulement les noeuds de texte
                      }).text().trim());
                      


                });
                
                if (article_ids.length == 0) {
                    Swal.fire({
                        title: 'Failed',
                        text: 'Veuillez sélectionner au moin un article',
                        timer: 3000,
                    })
                    return false;
                }
                var credits = creditslist.reduce((a, b) => a + b, 0);

                var htmlcon = jQuery('#plumepopupdatabulk').html();
                Swal.fire({
                    title: '<strong>Confirmation</strong>',
                    icon: 'info',
                    html:
                        '<b>' + article_ids.length + '</b> article pour <b>' + credits + '</b>€<br/>' + htmlcon,
                    footer: '<div id="plume_publish_dates_summary"></div>',
                    showCloseButton: true,
                    showCancelButton: true,
                    focusConfirm: true,
                    confirmButtonText: 'Confirmer',
                    cancelButtonText: 'Annuler',
                    showLoaderOnConfirm: true,
                    didOpen: () => {
                        jQuery(".plume-datepicker").flatpickr({
                            dateFormat: "Y-m-d H:i",
                            enableTime: true,
                            time_24hr: true,
                            minDate: "today",
                            theme: 'dark',
                            firstDayOfWeek: 1,
                            onChange: (selectedDates, dateStr, instance) => {
                                var preview = generate_publish_dates_preview(dateStr, article_titles);
                                jQuery("#plume_publish_dates_summary").html(preview);
                            }
                        });
                    },
                    
                    preConfirm: (result) => {
                        if (plumedata.api_key == "") {
                            return {
                                "status": "Echec",
                                "message": "Vous devez enregistrer votre clé api dans les paramètres."
                            };
                        }
                        var data = {
                            'action': 'plumepurchasebulk',
                            'article_ids': article_ids,
                            'user_id': $("#swal2-html-container").find("#plume_author").val(),
                            'category_id': $("#swal2-html-container").find("#plume_category").val(),
                            'publish_date': $("#swal2-html-container").find("#plume_publish_date").val()
                        };
                        // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
                        return jQuery.post(ajaxurl, data, function (response) {
                            //alert('Got this from the server: ' + response);
                        });
                    }
                    
                    
                }).then((result) => {
                    if (result.isConfirmed) {
                        if (result.value.status == "success") {
                            Swal.fire({
                                title: 'Bravo !',
                                html: result.value.message,
                                timer: 2000
                            }).then(function (result) {
                                location = "edit.php";
                            });

                        } else {
                            Swal.fire({
                                title: 'Failed',
                                text: result.value.message,
                                timer: 3000,
                            })
                        }
                    }

                });

            } else if ($('#bulk-action-selector-top').val() == "prepurchase") {
                var creditslist = [];
                var article_ids = [];
                $("input[name='id[]']:checked").each(function () {
                    article_ids.push(parseInt($(this).val()));
                    creditslist.push(parseInt(jQuery(this).attr("data-credits")));
                });
                if (article_ids.length == 0) {
                    Swal.fire({
                        title: 'Failed',
                        text: 'Veuillez sélectionner au moin un article',
                        timer: 3000,
                    })
                    return false;
                }
                var credits = creditslist.reduce((a, b) => a + b, 0);

                var htmlcon = jQuery('#plumepopupdatabulk').html();
                Swal.fire({
                    title: '<strong>Confirmation</strong>',
                    icon: 'info',
                    html:
                        '<b>' + article_ids.length + '</b> articles pour <b>' + credits + '</b>€',
                    footer: '',
                    showCloseButton: true,
                    showCancelButton: true,
                    focusConfirm: true,
                    confirmButtonText: 'Confirmer',
                    cancelButtonText: 'Annuler',
                    showLoaderOnConfirm: true,
                    preConfirm: (result) => {
                        if (plumedata.api_key == "") {
                            return {
                                "status": "Echec",
                                "message": "Vous devez enregistrer votre clé api dans les paramètres."
                            };
                        }
                        var data = {
                            'action': 'plumereservebulk',
                            'article_ids': article_ids,
                            'user_id': $("#swal2-html-container").find("#plume_author").val(),
                            'category_id': $("#swal2-html-container").find("#plume_category").val()
                        };
                        // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
                        return jQuery.post(ajaxurl, data, function (response) {
                            //alert('Got this from the server: ' + response);
                        });
                    }
                }).then((result) => {
                    if (result.isConfirmed) {
                        if (result.value.status == "success") {
                            Swal.fire({
                                title: 'Good job!',
                                html: result.value.message,
                                timer: 2000
                            }).then(function (result) {
                                location = "admin.php?page=plume-purchased";
                            });

                        } else {
                            Swal.fire({
                                title: 'Failed',
                                text: result.value.message,
                                timer: 3000,
                            })
                        }
                    }

                });

            }
        });

        jQuery(".reservearticle").click(function (obj) {
            var credits = jQuery(this).attr("data-credits");
            var article_id = jQuery(this).attr("data-id");
            var htmlcon = jQuery('#plumepopupdatabulk').html();
            Swal.fire({
                title: '<strong>Confirmation</strong>',
                icon: 'info',
                html:
                    '<b>1</b> article pour <b>' + credits + '</b>€<br/>',
                footer: '',
                showCloseButton: true,
                showCancelButton: true,
                focusConfirm: true,
                confirmButtonText: 'Confirmer',
                cancelButtonText: 'Annuler',
                showLoaderOnConfirm: true,
                preConfirm: (result) => {
                    if (plumedata.api_key == "") {
                        return {
                            "status": "Echec",
                            "message": "Vous devez enregistrer votre clé api dans les paramètres."
                        };
                    }
                    var data = {
                        'action': 'plumereserve',
                        'article_id': article_id,
                        'user_id': $("#swal2-html-container").find("#plume_author").val(),
                        'category_id': $("#swal2-html-container").find("#plume_category").val()
                    };
                    // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
                    return jQuery.post(ajaxurl, data, function (response) {
                        //alert('Got this from the server: ' + response);
                    });
                }
            }).then((result) => {
                if (result.isConfirmed) {
                    if (result.value.status == "success") {
                        Swal.fire({
                            title: 'Good job!',
                            html: result.value.message,
                            timer: 2000
                        }).then(function (result) {
                            location = "admin.php?page=plume-purchased";
                        });

                    } else {
                        Swal.fire({
                            title: 'Failed',
                            text: result.value.message,
                            timer: 3000,
                        })
                    }
                }

            });
        });

        jQuery(".buyarticle").click(function (obj) {
            var credits = jQuery(this).attr("data-credits");
            var article_id = jQuery(this).attr("data-id");
            var htmlcon = jQuery('#plumepopupdata').html();  
            
            Swal.fire({
                title: '<strong>Confirmation</strong>',
                icon: 'info',
                html:
                    '<b>1</b> article pour <b>' + credits + '</b>€<br/>' + htmlcon,
                footer: '',
                showCloseButton: true,
                showCancelButton: true,
                focusConfirm: true,
                confirmButtonText: 'Confirmer',
                cancelButtonText: 'Annuler',
                showLoaderOnConfirm: true,
                didOpen: () => {
                    jQuery(".plume-datepicker").flatpickr({
                        dateFormat: "Y-m-d H:i", // Modifiez le format pour inclure la date et l'heure
                        enableTime: true, // Activez la sélection de l'heure
                        time_24hr: true, // Utilisez le format 24 heures
                        minDate: "today",
                        theme: 'dark',
                        firstDayOfWeek: 1
                    });
                },
                preConfirm: (result) => {
                    if (plumedata.api_key == "") {
                        return {
                            "status": "Echec",
                            "message": "Vous devez enregistrer votre clé api dans les paramètres."
                        };
                    }

                    var data = {
                        'action': 'plumepurchase',
                        'article_id': article_id,
                        'user_id': $("#swal2-html-container").find("#plume_author").val(),
                        'category_id': $("#swal2-html-container").find("#plume_category").val(),
                        //'publish_post': $("#swal2-html-container").find("#publish_post").is(":checked"),
                        'publish_date': $("#swal2-html-container").find("#plume_publish_date").val()
                    };

                    return jQuery.post(ajaxurl, data, function (response) {

                    });
                }
            }).then((result) => {
                if (result.isConfirmed) {
                    if (result.value.status == "success") {
                        Swal.fire({
                            title: 'Good job!',
                            html: result.value.message,
                            timer: 2000
                        }).then(function (result) {
                            location = "edit.php";
                        });

                    } else {
                        Swal.fire({
                            title: 'Failed',
                            text: result.value.message,
                            timer: 3000,
                        })
                    }
                }

            });
        });

        jQuery("#plume-preorder").click(function (obj) {
            let html =
                '<div class="swal-preorder-tab">' +
                '  <button class="swal-preorder-tablinks swal2-confirm swal2-styled active" onclick="openPreorderTab(this, \'preorder-human\')">Article Humain</button>' +
                '  <button class="swal-preorder-tablinks swal2-cancel swal2-styled" onclick="openPreorderTab(this, \'preorder-ia\')">Articles iA</button>' +
                '</div>' +
                '<div id = "preorder-human" class="swal-preorder-tabcontent active">' +
                '   <div><input id="plume-title" class="swal2-input" placeholder="Titre ou Thématique"></div>' +
                '   <div class="options-plume"><input type="checkbox" class="swal2-checkbox" id="plume-optimization" name="scales" checked disabled><label for="scales">Optimisation YourTextGuru</label></div>' +
                '   <div><textarea id="plume-brief" class="swal2-textarea" name="plume-brief" rows="5" cols="" placeholder="Briefing... (sans code html)"></textarea></div>' +
                '   <div><input type="range" class="swal2-range" id="plume-count" value="500" name="plume-count" min="300" max="5000" step="1" oninput="rangechange(this.value)" onchange="rangechange(this.value)"><output name="plume-count" id="plume-count-disp">500</output> mots</div>' +
                '   <div><input type="range" class="swal2-range" id="plume-articles" value="1" name="plume-articles" min="1" max="50" step="1" oninput="rangechange2(this.value)" onchange="rangechange2(this.value)"><output name="plume-count" id="plume-articles-disp">1</output> x article</div>' +
                '   <div class="total-credits"><output name="plume-credit" id="plume-credit">80</output>€</div>' +
                '</div>' +
                '<div id = "preorder-ia" class="swal-preorder-tabcontent">' +
                '   <div><textarea id="plume-textbulker-keywords" class="swal2-textarea" name="plume-keywords" rows="5" cols="" placeholder="Liste des mots-clés/textes (1/ligne)" oninput="updateTexbulkerCreditsValue(this.value)"></textarea></div>' +
				'   <p><a href="https://plume-editor.com/ia-optimization-tips/" rel="noopener noreferrer" target="_blank">iA optimization tips ?</a></p>' +
                '   <div class="options-plume"><input type="checkbox" class="swal2-checkbox" id="plume-verify" onclick="handleVerifyCheckbox()"><label for="scales"><strong>Hybride :</strong> (YourTextGuru + Images)</label></div>' +
                '   <div><textarea id="plume-textbulker-brief" class="swal2-textarea hidden" name="plume-brief" rows="5" cols="" placeholder="Briefing... (sans code html)"></textarea></div>' +
                '   <div class="swal-preorder-lang-container">'+
                        '<select id="plume-textbulker-lang" class="swal2-select">' + get_textbulker_lang_options() + '</select>'+
                '   </div>'+'   <div class="total-credits"><output name="plume-credit" id="plume-textbulker-credit">0</output>€</div>' +
                '</div>' +
                '<input type="hidden" id="plume-preorder-type" value="">';

            ;
            Swal.fire({
                title: '<strong>Commande</strong>',
                icon: 'info',
                html: html,
                footer: 'Hybride : est une option qui vous permet de convertir un article iA en article Hybride, l\'article ne sera donc pas disponible immédiatement. </br> Plume utilise l\'outil TextBulker pour la génération de ses articles iA.',
                showCloseButton: true,
                showCancelButton: true,
                focusConfirm: true,
                confirmButtonText: 'Confirmer',
                cancelButtonText: 'Annuler',
                showLoaderOnConfirm: true,
                preConfirm: (result) => {
                    let error = false;
                    if (plumedata.api_key == "") {
                        swal.showValidationMessage("Vous devez enregistrer votre clé api dans les paramètres.");
                        error = true;

                    }
                    let preorder_type = jQuery("#plume-preorder-type").val();
                    if(preorder_type == 'textbulker'){
                        if (count_lines(jQuery("#plume-textbulker-keywords").val()) == 0) {
                            swal.showValidationMessage("Veuillez entrer au moins un mot clé.");
                            error= true;
                        }

                        if (!jQuery('#plume-textbulker-lang').val()) {
                            Swal.showValidationMessage('Langage requis.');
                            error = true;
                        }
                        var data = {
                            'action': 'plumepreorder',
                            'keywords': jQuery('#plume-textbulker-keywords').val(),
                            'brief': jQuery('#plume-textbulker-brief').val(),
                            'lang' : jQuery('#plume-textbulker-lang').val(),
                            'verify': jQuery("#plume-verify").is(':checked'),
                            'type' : preorder_type
                        };
                    } else {
                        preorder_type = "human";
                        if (!jQuery('#plume-title').val()) {
                            Swal.showValidationMessage('Titre ou Théma requis');
                            error = true;
                        }
                        if (!jQuery('#plume-brief').val()) {
                            Swal.showValidationMessage('Brief requis');
                            error = true;
                        }

                        var data = {
                            'action': 'plumepreorder',
                            'posttitle': jQuery('#plume-title').val(),
                            'wordcount': jQuery('#plume-count').val(),
                            'brief': jQuery('#plume-brief').val(),
                            'articlecount': jQuery('#plume-articles').val(),
                            'type' : preorder_type
                        };
                    }
                    if (error) {
                        $(".swal2-confirm").show();
                        return false;
                    }

                    return jQuery.post(ajaxurl, data, function (response) {
                    });
                }
            }).then((result) => {
                if (result.isConfirmed) {
                    if (result.value.status == "success") {
                        Swal.fire({
                            title: 'Good job!',
                            html: result.value.message,
                            timer: 2000
                        }).then(function (result) {
                            location = "admin.php?page=plume-purchased";
                        });

                    } else {
                        Swal.fire({
                            title: 'Failed',
                            text: result.value.message,
                            timer: 3000,
                        })
                    }
                }

            });
        });
        $('.swal-preorder-tablinks').on('click',function(){})
        jQuery(".examination").click(function (obj) {
            var article_id = jQuery(this).attr("data-id");
            var words = jQuery(this).attr("data-words");
            var credits = Math.round(parseInt(words) * 0.015);
            Swal.fire({
                title: '<strong>Demander un Réexamen</strong>',
                icon: 'info',
                footer: 'Demander une correction de votre article gratuitement si celui-ci ne vous convient pas. Votre article sera momentanément indisponible au téléchargement, le temps de sa correction.',
                html:
                    '<div>Gratuit' +
                    '<div><textarea id="plumemessage" class="swal2-textarea" name="plume-message" rows="5" cols="33" placeholder="Que souhaitez-vous modifier ?"></textarea></div>',
                showCloseButton: true,
                showCancelButton: true,
                focusConfirm: true,
                confirmButtonText: 'Confirmer',
                cancelButtonText: 'Annuler',
                showLoaderOnConfirm: true,
                preConfirm: (result) => {
                    var data = {
                        'action': 'plumeexamination',
                        'article_id': article_id,
                        'message': jQuery('#plumemessage').val()
                    };
                    return jQuery.post(ajaxurl, data, function (response) {
                    });
                }
            }).then((result) => {
                if (result.isConfirmed) {
                    if (result.value.status == "success") {
                        Swal.fire({
                            title: 'Good job!',
                            html: result.value.message,
                            timer: 2000
                        }).then(function (result) {
                            location = "admin.php?page=plume-purchased";
                        });

                    } else {
                        Swal.fire({
                            title: 'Failed',
                            text: result.value.message,
                            timer: 3000,
                        })
                    }
                }

            });
        });
        jQuery("a.redownload-forbiden").click(function (obj) {
            let link = jQuery(this).attr("data-id");
            Swal.fire({
                title: "Téléchargement refusé",
                html: "<p>Cet article est déjà publié sur le site " + link + "<br/>Veuillez d'abord le dépublier.</p>",
                icon: 'error',
                confirmButtonText: 'Ok'
            })
        });
        jQuery("a.redownload").click(function (obj) {
            var article_id = jQuery(this).attr("data-id");
            Swal.fire({
                title: 'Télécharger vos articles',
                icon: 'info',
                html: '',
                footer: 'Un nouvel article avec le statut "Brouillon" sera créé.',
                showCloseButton: true,
                showCancelButton: true,
                focusConfirm: true,
                confirmButtonText: 'Confirmer',
                cancelButtonText: 'Annuler',
                showLoaderOnConfirm: true,
                preConfirm: (result) => {
                    var data = {
                        'action': 'plumeredownload',
                        'article_id': article_id,
                    };
                    return jQuery.post(ajaxurl, data, function (response) {
                    });
                }
            }).then((result) => {
                if (result.isConfirmed) {
                    if (result.value.status == "success") {
                        Swal.fire({
                            title: 'Good job!',
                            html: result.value.message,
                            timer: 2000
                        }).then(function (result) {
                            location = "edit.php";
                        });

                    } else {
                        Swal.fire({
                            title: 'Failed',
                            html: result.value.message,
                            timer: 5000,
                        })
                    }
                }

            });
        });

        $("a.removearticlefromfolder").click(function (e) {
            e.preventDefault();
            let article_id = $(this).attr('data-id');
            let folder_name = $(this).attr('data-name');

            Swal.fire({
                title: "Retirer l'article du dossier " + folder_name,
                showCancelButton: true,
                confirmButtonText: 'oui',
                showLoaderOnConfirm: true,
                preConfirm: (folder_name) => {
                    var data = {
                        'action': 'plumeremovearticle',
                        'article_id': article_id,
                    };
                    return jQuery.post(ajaxurl, data, function (response) {});
                },
                allowOutsideClick: () => !Swal.isLoading()
            }).then((result) => {
                if (result.isConfirmed) {
                    if (result.value.status == 'success') {
                        Swal.fire({
                            title: 'Article retiré',
                            html: result.value.message,
                            timer: 2000
                        }).then(function (result) {
                            window.location.reload();
                        });
                    } else {
                        Swal.fire({
                            title: 'Erreur',
                            text: result.value.message,
                            timer: 3000,
                        })
                    }

                }
            });
        });

        $("#add-plume-folder").click(function (e) {
            e.preventDefault();
            Swal.fire({
                title: 'Ajouter un dossier',
                input: 'text',
                html: 'Veuillez saisir le nom du dossier que vous souhaitez créer.',
                inputAttributes: {
                    autocapitalize: 'off'
                },
                showCancelButton: true,
                confirmButtonText: 'Créer le dossier',
                showLoaderOnConfirm: true,
                preConfirm: (folder_name) => {
                    var data = {
                        'action': 'plumeaddfolder',
                        'folder_name': folder_name,
                    };
                    return jQuery.post(ajaxurl, data, function (response) {});
                },
                allowOutsideClick: () => !Swal.isLoading()
            }).then((result) => {
                if (result.isConfirmed) {
                    if (result.value.status == 'success') {
                        Swal.fire({
                            title: 'Bravo !',
                            html: result.value.message,
                            timer: 2000
                        }).then(function (result) {
                            window.location.reload();
                        });
                    } else {
                        Swal.fire({
                            title: 'Erreur',
                            text: result.value.message,
                            timer: 3000,
                        })
                    }

                }
            });
        });
        $("#remove-plume-folder").click(function (e) {
            e.preventDefault();
            let data = {
                'action': 'plumefolders',
            }
            jQuery.post(ajaxurl, data).done(function (result) {
                let inputOptions = [];
                result.forEach(function (element) {
                    inputOptions[element.id] = element.name;
                });
                Swal.fire({
                    title: 'Supprimer un dossier',
                    input: 'radio',
                    customClass: {
                        input: 'swal2-radio-column'
                    },
                    inputOptions: inputOptions,
                    inputValidator: (value) => {
                        if (!value) {
                            return 'Veuillez choisir un dossier'
                        }
                    },
                    showCancelButton: true,
                    confirmButtonText: 'Supprimer',
                    showLoaderOnConfirm: true,
                    allowOutsideClick: () => !Swal.isLoading(),
                    preConfirm: (folder_id) => {
                        var data = {
                            'action': 'plumeremovefolder',
                            'folder_id': folder_id,
                        };
                        return jQuery.post(ajaxurl, data);
                    },
                }).then((result) => {
                    if (result.isConfirmed) {
                        if (result.value.status == 'success') {
                            Swal.fire({
                                title: 'Dossier supprimé !',
                                timer: 2000
                            }).then(function (result) {
                                location = "admin.php?page=plume-purchased";
                            });
                        } else {
                            Swal.fire({
                                title: 'Erreur',
                                text: result.value.message,
                                timer: 3000,
                            })
                        }
                    }
                });
            });

        });
    });


    /**
     * All of the code for your admin-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
     *
     * });
     *
     * When the window is loaded:
     *
     * $( window ).load(function() {
     *
     * });
     *
     * ...and/or other possibilities.
     *
     * Ideally, it is not considered best practise to attach more than a
     * single DOM-ready or window-load handler for a particular page.
     * Although scripts in the WordPress core, Plugins and Themes may be
     * practising this, we should strive to set a better example in our own work.
     */



})
(jQuery);

function openPreorderTab(element, target_id) {
    jQuery(".swal-preorder-tablinks.active").removeClass('swal2-confirm').removeClass('active').addClass('swal2-cancel');
    jQuery(".swal-preorder-tabcontent.active").removeClass('active');
    jQuery(element).addClass('swal2-confirm').addClass('active').removeClass('swal2-cancel');
    jQuery("#"+target_id).addClass('active');
    if(target_id == 'preorder-ia'){
        jQuery("#plume-preorder-type").val("textbulker");
    }else{
        jQuery("#plume-preorder-type").val("human");
    }
}


function count_lines(text) {
    let lines = [];
    let splited = text.split(/\r|\r\n|\n/);
    splited.forEach(element => {
        if(element.trim() != '') {
            lines.push(element);
        }
    });
    return lines.length;
}
function updateTexbulkerCreditsValue(text) {
    let nb_lines = count_lines(text)
    let price = textbulker_prices.price;
    if( jQuery("#plume-verify").is(':checked') ){
        price = textbulker_prices.verify_price;
    }
    jQuery('#plume-textbulker-credit').text(price * nb_lines);

}
function handleVerifyCheckbox() {
    let brief = jQuery("#plume-textbulker-brief");
    if( jQuery("#plume-verify").is(':checked') ){
        jQuery(brief).removeClass("hidden");
    }else{
        jQuery(brief).val('');
        jQuery(brief).addClass("hidden");

    }
    updateTexbulkerCreditsValue(jQuery("#plume-textbulker-keywords").val());
}

function rangechange(val) {

    jQuery("#plume-count-disp").html(val);
    var articles = jQuery("#plume-articles").val();

    jQuery("#plume-credit").html(Math.round(parseInt(articles) * parseInt(val) * 0.16));

}

function rangechange2(val) {

    jQuery("#plume-articles-disp").html(val);
    var words = jQuery("#plume-count").val();

    jQuery("#plume-credit").html(Math.round(parseInt(words) * parseInt(val) * 0.16));

}


