<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://plume-editor.com/
 * @since      1.0.0
 *
 * @package    Plume
 * @subpackage Plume/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Plume
 * @subpackage Plume/includes
 * @author     Plume
 */
class Plume_Deactivator
{

    /**
     * Short Description. (use period)
     *
     * Long Description.
     *
     * @since    1.0.0
     */
    public static function deactivate()
    {
        require_once(PLUME_PLUGIN_PATH . 'admin/classes/class-plume-api.php');
        $api = new PlumeApi();
        $endpoint= 'plugin_deactivate';
        $data =[
            'website'=> get_site_url(),
        ];
        $result = false;
        $response = $api->call_api($endpoint, $data);
        if($response){
            $result = json_decode($response);
        }

    }

}
